# Uses of Class
org.springframework.jmx.export.metadata.ManagedOperationParameter

Packages that use ManagedOperationParameter
Package
Description
org.springframework.jmx.export.annotation
Annotations for MBean exposure.
org.springframework.jmx.export.metadata
Provides generic JMX metadata classes and basic support for reading JMX metadata in a provider-agnostic manner.

## Uses of ManagedOperationParameter in org.springframework.jmx.export.annotation

Methods in org.springframework.jmx.export.annotation that return ManagedOperationParameter
Modifier and Type
Method
Description
`ManagedOperationParameter[]`
AnnotationJmxAttributeSource.`getManagedOperationParameters(Method method)`

## Uses of ManagedOperationParameter in org.springframework.jmx.export.metadata

Methods in org.springframework.jmx.export.metadata that return ManagedOperationParameter
Modifier and Type
Method
Description
`ManagedOperationParameter[]`
JmxAttributeSource.`getManagedOperationParameters(Method method)`
Implementations should return an array of `ManagedOperationParameter` if the supplied `Method` has the corresponding metadata.